<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID"
		value="#{rDSManagerBean.extractIDFromInitialisation()}" />
	<ui:define name="body">
		<h:form id="globalForm">
			<h1>#{rDSManagerBean.getTheNameOfThePage()}</h1>
			<rich:messages globalOnly="true" styleClass="message" />
			#{rDSManagerBean.init()}
			<s:div id="globalDiv">
				<gri:panel id="mainPanel">
					<f:facet name="header">#{rDSManagerBean.getTheNameOfThePage()}</f:facet>
					<s:div
						rendered="#{rDSManagerBean.selectedAffinityDomain!= null and rDSManagerBean.selectedTransaction!= null}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} " />
						<h:outputText
							value="#{rSQManagerBean.selectedTransaction.keyword}" />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.TheRequestGeneratedAllowToRetrieveADocumentorALi']}" />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequestForEachDocumentYouAre']}" /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToRetrieveDocuments']}" /></li>
						</ul>
					</s:div>
					<s:div id="configurationDiv">
						<ui:include src="/simu/header.xhtml">
							<ui:param name="divToRerender"
									  value="messageConfigurationDiv,messagesDiv,actionButtons,messageConfigurationDivR,XUADiv"/>
							<ui:param name="simuManager" value="#{rDSManagerBean}" />
							<ui:param name="diagramFile"
									  value="/img/RDS.png"/>
							<ui:param name="sourceID"
								value="#{oid.getSourceOid(xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword)}" />
							<ui:param name="simulatorConfigurationName"
								value="#{messages['net.ihe.gazelle.xdstar.DocConsumerSimulator']}" />
							<ui:param name="displaySourceId" value="#{false}" />
							<ui:param name="displayhomeCommunityId" value="#{false}" />
						</ui:include>
					</s:div>
					<!-- MESSAGE CONFIGURATION -->
					<s:div id="messageConfigurationDiv">
						<!-- MESSAGE TYPE -->
						<s:div id="messageTypeDiv">
							<s:decorate id="decorate" template="/layout/display/_display.xhtml">
								<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MessageType']}</ui:define>
								<h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.RetrieveDocumentSet']}" />
							</s:decorate>
						</s:div>
						<f:subview id="subview_1">
							<ui:include src="/rdscommon/parameters.xhtml">
								<ui:param name="commonRDSManagerBean" value="#{rDSManagerBean}" />
								<ui:param name="isX" value="#{false}" />
							</ui:include>
						</f:subview>
						<!-- XUA -->
						<s:div id="messageConfigurationDivR"
							rendered="#{(rDSManagerBean.selectedConfiguration != null)}">
							<f:subview id="subview_2">
								<ui:include src="/simu/xua.xhtml">
									<ui:param name="simuManager" value="#{rDSManagerBean}" />
								</ui:include>
							</f:subview>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{(rDSManagerBean.selectedConfiguration != null)}"
							render="previewMessagePanel" />
						<a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
							value="#{messages['net.ihe.gazelle.xdstar.Execute']}"
							actionListener="#{rDSManagerBean.executeRequest()}"
							rendered="#{(rDSManagerBean.selectedConfiguration != null)}"
							render="messagesDiv" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" styleClass="gzl-btn"
							actionListener="#{rDSManagerBean.reset()}"
							value="#{messages['net.ihe.gazelle.xdstar.Reset']}"
							render="messageConfigurationDiv, messagesDiv" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel"
						rendered="#{rDSManagerBean.displayResultPanel == true}">
						<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<ui:include src="/messages/messageTable.xhtml">
							<ui:param name="messageManagerBean"
								value="#{allMessageManagerBean}" />
						</ui:include>
					</gri:panel>
				</s:div>
			</s:div>
		</h:form>
		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:div id="previewMessagePanelDiv"
					rendered="#{(rDSManagerBean.selectedConfiguration != null)}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent"
						content="#{rDSManagerBean.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>
	</ui:define>
</ui:composition>
